Support » Plugin: Global Gateway e4 | Payeezy Gateway | » Parse Error on activation of plugin

Viewing 6 replies - 1 through 6 (of 6 total)
  • Thread Starter dma1900

    (@dma1900)

    WP Version 4.3.1

    Same here. When I try to activate, I get:
    Plugin could not be activated because it triggered a fatal error.

    Parse error: syntax error, unexpected T_FUNCTION in /home1/pdbtiorg/public_html/wp-content/plugins/globe-gateway-e4/Globe Gateway e4.php on line 16

    Running WP 4.3.1

    Plugin Author DonnellC

    (@donnellc)

    Hey Dma1900 and WaffleToy,

    Who is your hosting provider? (Are you getting this message while locally testing or just when you’re live with GoDaddy?)
    Also I can send you a beta with that line removed.
    The line gets the token a life line. After 2 hours it creates a new token.

    Would you like me to send you the link to the beta?

    I would like to take the time and say sorry for the delay. I was away on vacation.

    Plugin Author DonnellC

    (@donnellc)

    Here is the link to the
    1.2 beta

    When using the beta. Please uninstall the current version.

    I edited out line 16, which solved the install- thanks very much for your assistance- I’ll use what I have until the next version comes out. I am getting another error though, but I’ll post a new thread to stay organized!

    Plugin Author DonnellC

    (@donnellc)

    For everyone receiving the Parse error: syntax error, unexpected T_FUNCTION you will need to contact your hosting provider or look it up. But you will need to upgrade your PHP version. This plugin requires 5.4.42 and higher. I personally would recommend PHP version 7 to future proof your site.

    The work around would be to remove the line.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Parse Error on activation of plugin’ is closed to new replies.